###############################################
# Trinity&CemakCore Auth Server configuration file #
###############################################
[authserver]

# Note to devs, line breaks should be at column 80
###############################################################################
# AUTH SERVER SETTINGS
#
#    LogsDir
#        Logs directory setting.
#        Important: Logs dir must exists, or all logs need to be disabled
#        Default: "" - no log directory prefix, if used log names isn't
#         absolute path then logs will be stored in current directory.
#
#    MaxPingTime
#         Settings for maximum database-ping interval (minutes between pings)
#
#    RealmServerPort
#         Default RealmServerPort
#
#    BindIP
#         Bind Realm Server to IP/hostname
#
#    PidFile
#        Realmd daemon PID file
#        Default: ""             - do not create PID file
#                 "./realmd.pid" - create PID file (recommended name)
#
#    LogLevel
#        Server console level of logging
#        Default: 0 = Minimum
#                 1 = Basic
#                 2 = Detail
#                 3 = Full/Debug
#
#    LogFile
#        Logfile name
#        Default: "realmd.log"
#                 "" - Empty name disable creating log file
#
#    SQLDriverLogFile
#        Log file of SQL driver events.
#        For effective query logging you need to build in debug configuration.
#        Default: "" - Empty name for disable
#
#    LogTimestamp
#        Logfile with timestamp of server start in name
#         in form Logname_YYYY-MM-DD_HH-MM-SS.Ext for Logname.Ext
#        Default: 0 - no timestamp in name
#                 1 - add timestamp in name
#
#    LogFileLevel
#        Server file level of logging
#        Default: 0 = Minimum
#                 1 = Basic
#                 2 = Detail
#                 3 = Full/Debug
#
#    LogColors
#        Color for messages (format "normal basic detail debug")
#        Default: "" - no colors
#        Colors: 0  - BLACK
#                1  - RED
#                2  - GREEN
#                3  - BROWN
#                4  - BLUE
#                5  - MAGENTA
#                6  - CYAN
#                7  - GREY
#                8  - YELLOW
#                9  - LRED
#                10 - LGREEN
#                11 - LBLUE
#                12 - LMAGENTA
#                13 - LCYAN
#                14 - WHITE
#        Example: "13 11 9 5"
#
#    EnableLogDB
#        Enable/disable logging to database (LogDatabaseInfo).
#        Default: 0 - disabled
#                 1 - enabled
#
#    DBLogLevel
#        Log level of DB logging.
#                 0 = Minimum
#        Default: 1 = Basic
#                 2 = Detail
#                 3 = Full/Debug
#
#    UseProcessors
#        Processors mask for multi-processor system (Used only in Windows)
#        Default: 0 (selected by OS)
#                 number (bitmask value of selected processors)
#
#    ProcessPriority
#        Process proirity setting (Used only at Windows)
#        Default: 1 (HIGH)
#                 0 (Normal)
#
#    RealmsStateUpdateDelay
#        Realm list Update up delay
#         (updated at realm list request if delay expired).
#        Default: 20
#                 0  (Disabled)
#
#    WrongPass.MaxCount
#        Number of login attemps with wrong password
#         before the account or IP is banned
#        Default: 0  (Never ban)
#
#    WrongPass.BanTime
#        Duration of the ban in seconds (0 means permanent ban)
#        Default: 600
#
#    WrongPass.BanType
#        Ban the IP or account on which login is attempted
#        Default: 0 (Ban IP)
#                 1 (Ban Account)
#
###############################################################################

LogsDir = ""
MaxPingTime = 30
RealmServerPort = 3724
BindIP = "0.0.0.0"
PidFile = ""
LogLevel = 0
LogFile = "auth.log"
SQLDriverLogFile = ""
LogTimestamp = 0
LogFileLevel = 0
LogColors = ""
EnableLogDB = 0
DBLogLevel = 1
UseProcessors = 0
ProcessPriority = 1
RealmsStateUpdateDelay = 20
WrongPass.MaxCount = 0
WrongPass.BanTime = 600
WrongPass.BanType = 0

###############################################################################
# MYSQL SETTINGS
#
#    LoginDatabaseInfo
#        Database connection settings for the realm server.
#        Default:
#                    hostname;port;username;password;database
#                    .;somenumber;username;password;database
#                     - use named pipes in Windows
#                    Named pipes: mySQL required adding
#                        "enable-named-pipe" to [mysqld] section my.ini
#                    .;/path/to/unix_socket;username;password;database
#                     - use Unix sockets in Unix/Linux
#
#    LoginDatabase.WorkerThreads
#        The amount of worker threads spawned to handle
#        asynchroneous MySQL statements
#        Each worker thread is mirrored with its own
#        connection to the MySQL server and their own
#        thread on the MySQL server.
#        Default: 1
#
###############################################################################

LoginDatabaseInfo = "127.0.0.1;3306;trinity;trinity;auth"
LoginDatabase.WorkerThreads = 1
